{% extends 'base.html' %}
{% load static %}
{% load my_filters %}

{% block title %}
<title>Category Lists</title>
{% endblock title %}

{% block content %}

<main>
    <h1>Category Lists</h1>
    <table>
        <thead>
            <tr>
                <th>Name</th>
                <th>Number of Receipts</th>
            </tr>
        </thead>
        <tbody>
            {% for cat in category %}
            <tr>
                <td>{{ cat.name }}</td>
                <td>{{ receipts|cat_receipts:cat }}</td>
            </tr>
            {% endfor %}
        </tbody>
    </table>
</main>
{% endblock content %}
